package com.heyu.api.data.dao.vv;
/**
* <p>
* 推广者 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.heyu.api.data.entity.vv.VvPromoterEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvPromoterDao extends BaseMapper<VvPromoterEntity> {


	VvPromoterEntity selectVvPromoterById(@Param("id")Long id);


	Long insertVvPromoter(VvPromoterEntity vvPromoter);


	Long insertOrUpdateVvPromoter(VvPromoterEntity vvPromoter);


	int updateVvPromoterById(VvPromoterEntity vvPromoter);


	int updateCoverVvPromoterById(VvPromoterEntity vvPromoter);


	int deleteVvPromoterById(@Param("id")Long id);


    List<VvPromoterEntity> selectVvPromoterByIdList(@IN List<Long> id);
}